Name:           jnr-posix
Version:        3.0.47
Release:        %mkrel 4
Group:          Development/Java
Summary:        Java Posix layer
License:        CPL or GPLv2+ or LGPLv2+
URL:            https://github.com/jnr/jnr-posix
Source0:        https://github.com/jnr/%{name}/archive/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.github.jnr:jnr-constants)
BuildRequires:  mvn(com.github.jnr:jnr-ffi)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)

BuildArch:      noarch

%description
jnr-posix is a lightweight cross-platform POSIX emulation layer for Java, 
written in Java and is part of the JNR project 

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# fix test which assumes that there is a group named "nogroup"
sed -i 's|"nogroup"|"root"|' src/test/java/jnr/posix/GroupTest.java

# remove unnecessary dependency on parent POM
%pom_remove_parent

# Remove useless wagon extension.
%pom_xpath_remove "pom:build/pom:extensions"

# Unnecessary for RPM builds
%pom_remove_plugin ":maven-javadoc-plugin"

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt




%changelog
* Wed Jan 04 2023 daviddavid <daviddavid> 3.0.47-4.mga9
+ Revision: 1929928
- Remove unnecessary dependency on parent POM

* Sat Mar 26 2022 umeabot <umeabot> 3.0.47-3.mga9
+ Revision: 1827413
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 3.0.47-2.mga8
+ Revision: 1521415
- Mageia 8 Mass Rebuild

* Sat Dec 22 2018 daviddavid <daviddavid> 3.0.47-1.mga7
+ Revision: 1344385
- Update to latest upstream release 3.0.47

* Mon Dec 03 2018 daviddavid <daviddavid> 3.0.41-1.mga7
+ Revision: 1337844
- new version: 3.0.41 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 3.0.29-2.mga7
+ Revision: 1262715
- Mageia 7 Mass Rebuild

* Sun May 21 2017 neoclust <neoclust> 3.0.29-1.mga6
+ Revision: 1103933
- New version 3.0.29

* Tue May 10 2016 daviddavid <daviddavid> 3.0.27-1.mga6
+ Revision: 1012190
- Update to upstream 3.0.27 release
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.19-2.mga6
+ Revision: 976561
- First rebuild of the java stack
- sync package jnr-posix with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 3.0.1-1.mga5
+ Revision: 811530
- Sync with fc21 (update to 3.0.1)

* Wed Oct 15 2014 umeabot <umeabot> 2.4.0-4.mga5
+ Revision: 741559
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.4.0-2.mga4
+ Revision: 538025
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 dmorgan <dmorgan> 2.4.0-1.mga4
+ Revision: 488275
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.1.8-2.mga3
+ Revision: 355494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 gil <gil> 1.1.8-1.mga2
+ Revision: 214925
- update to 1.1.8

* Sat Nov 05 2011 gil <gil> 1.1.7-1.mga2
+ Revision: 163864
- imported package jnr-posix


* Thu Jun 16 2011 gil <gil> 1.1.7-0.%%mkrel
- initial rpm